---
title: Account Verification
description: This api is for validating a customer’s account details.
---

This api is for validating a customer’s account details. We have to pass ifsc code, customer name, account number and customer mobile number in request. If the request have valid account details we will get a success response.

## POST

```
https://kraken.airpay.co.in/airpay/ms/baas/api/verify-account
```

## Header

| Field | Type | Description |
| --- | --- | --- |
| affiliate | Text | Will be provided by Airpay (required) |
| checksum | Text | $string = $param.self::$secret_key; sha256(<concate all values+SECRET KEY>); (required) |
| api-key | Text | Will be provided by airpay ( required) |
| processor-key | Text | Will be provided by airpay ( required) |

## Parameter

| Field           | Type    | Required | Description                                                                                                                                                                                                                            |
| --------------- | ------- | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| ifsc            | Text    | Yes      | IFSC code provided by bank (length 11)                                                                                                                                                                                                 |
| customer_name   | Text    | No       | Name of the customer (length 100)                                                                                                                                                                                                      |
| account_number  | Text    | Yes      | Account number of the customer (length 32)                                                                                                                                                                                             |
| customer_mobile | Numeric | No       | Mobile number of the customer (length 10)                                                                                                                                                                                              |
| customvar       | Text    | No       | Any information passed in the request, which can be received in the response exactly as it was sent. Multiple values can be passed in `CustomVar` separated by the `\|` symbol. Example: `1234567\|test\|ABC1234` (maximum length 120) |

## Request-Example: 

```
 curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/baas/api/verify-account' \
--header 'api-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'ifsc=SBIN0123456' \
--data-urlencode 'customer_name=Rabindra' \
--data-urlencode 'account_number=XXXX-XXXX-XXXX-8908' \
--data-urlencode 'customer_mobile=7xxxxxx456'
```

## Success 200

| Field | Type | Description |
| --- | --- | --- |
| status | Numeric | 400- fail,200-success(length 3) |
| message | Text | success, fail |
| data | Text | { "accountNumber": "XXXX-XXXX-XXXX-8908", "ifsc": "SBIN0123456", "accountName": " ", "bankResponse": "Invalid Account Number", "bankTxnStatus": false } |
## Success-Response:

```
{
    "status": "200",
    "message": "success",
    "data": {
        "accountNumber": "XXXX-XXXX-XXXX-8908",
        "ifsc": "SBIN0123456",
        "accountName": " ",
        "bankResponse": "Invalid Account Number",
        "bankTxnStatus": false
    }
}
```
## Error-Response:

```
{
    "status": "400",
    "message": "Failed",
    "data": ""
}
```